## scoop 0.7.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SCOOP.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SCOOP.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SCOOP"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SCOOP"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
scoop (0.7.1-3) unstable; urgency=medium

  * Upload to unstable.
  * deb/copyright: expanded copyright span.
  * deb/control: updated Homepage.
  * deb/watch: watch pypi.debian.net.
  * Added deb/gbp.conf, no-updated-timestamp-in-docs.patch (Closes: #782258).

 -- Daniel Stender <debian@danielstender.com>  Mon, 27 Apr 2015 09:33:30 +0200

scoop (0.7.1-2) experimental; urgency=medium

  * Added Python3 package to build and auto testing (Closes: #766970).
  * deb/control: bumped standards to 3.9.6 (no changes needed).
  * deb/copyright: added maintainer email addresses.

 -- Daniel Stender <debian@danielstender.com>  Sat, 01 Nov 2014 19:59:15 +0100

scoop (0.7.1-1) unstable; urgency=medium

  * Initial release (Closes: #760188, LP: #1283817):
    + provides Python2 package (python3-greenlet not yet in testing).

    Scoop in Debian until 2006 was another program (web-based
    collaborative media application).

 -- Daniel Stender <debian@danielstender.com>  Mon, 08 Sep 2014 23:27:20 +0200

=== debian/control ===
Source: scoop
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Daniel Stender <debian@danielstender.com>
Section: science
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 dvipng,
 python-all (>= 2.6.6.3~),
 python-greenlet (>= 0.3.4~),
 python-setuptools,
 python-sphinx (>= 1.0.7+dfsg-1~),
 python-zmq (>= 13.1.0~),
 python3-all,
 python3-greenlet,
 python3-setuptools,
 python3-zmq (>= 13.1.0~),
 texlive-latex-extra
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/scoop.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/scoop.git
Homepage: http://pyscoop.org/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
XS-Testsuite: autopkgtest

Package: python-scoop
Architecture: all
Section: python
Depends:
 python-greenlet (>= 0.3.4~),
 python-zmq (>= 13.1.0~),
 ${misc:Depends},
 ${python:Depends}
Recommends:
 openssh-client | ssh-client
Suggests:
 scoop-doc
Description: Python library for concurrent parallel programming
 SCOOP (Scalable COncurrent Operations in Python) is a distributed task
 module allowing concurrent parallel programming on various environments,
 from heterogeneous grids to supercomputers.
 .
 This package contains the Python modules.

Package: python3-scoop
Architecture: all
Section: python
Depends:
 python3-greenlet (>= 0.3.4~),
 python3-zmq (>= 13.1.0~),
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 openssh-client | ssh-client
Suggests:
 scoop-doc
Description: Python3 library for concurrent parallel programming
 SCOOP (Scalable COncurrent Operations in Python) is a distributed task
 module allowing concurrent parallel programming on various environments,
 from heterogeneous grids to supercomputers.
 .
 This package contains the Python3 modules.

Package: scoop-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Recommends:
 python-scoop,
 python3-scoop
Description: Python library for concurrent parallel programming (docs)
 SCOOP (Scalable COncurrent Operations in Python) is a distributed task
 module allowing concurrent parallel programming on various environments,
 from heterogeneous grids to supercomputers.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck

export PYBUILD_NAME=scoop

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {dir}/test; {interpreter} tests.py" \
	dh_auto_test

override_dh_auto_install:
	dh_auto_install
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N doc debian/scoop-doc/usr/share/doc/scoop-doc/html
endif

override_dh_compress:
	dh_compress -X.py # save examples

=== debian/tests/control ===
Tests: python2
Depends: python-all, python-scoop, python-greenlet, python-zmq

Tests: python3
Depends: python3-all, python3-scoop, python3-greenlet, python3-zmq

=== debian/watch ===
version=3
opts=uversionmangle=s/\.release/$1/ \
http://pypi.debian.net/scoop/ \
scoop-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## scoop 0.7.1.1

=== debian/changelog ===
scoop (0.7.1.1-6) unstable; urgency=medium

  * Adopt package. (Closes: #869224)

  * Set Maintainer to Debian Science
  * Add myself to Uploaders
  * Bump debhelper compatibility level to 12
  * Bump Standards-Version to 4.5.0 (no changes needed)
  * Point Homepage to GitHub
  * Set Rules-Requires-Root to no
  * Use HTTPS in URI in d/copyright
  * Move from deprecated $ADTTMP to $AUTOPKGTEST_TMP
  * Drop versioned Depends for ancient python3-sphinx, python3-zmq
  * Add Patch Call-wait-on-killed-child-processes.patch. (Closes: #689211)

 -- Christian Kastner <ckk@debian.org>  Thu, 23 Jan 2020 22:51:17 +0100

scoop (0.7.1.1-5) unstable; urgency=medium

  * QA upload.
  * scoop-doc: Stop recommending the removed python-scoop.
    (Closes: #938448)
  * debian/control: Remove the obsolete X-Python{,3}-Version.

 -- Adrian Bunk <bunk@debian.org>  Wed, 22 Jan 2020 18:17:10 +0200

scoop (0.7.1.1-4) unstable; urgency=medium

  * QA upload.
  * Drop python2 support; Closes: #938448

 -- Sandro Tosi <morph@debian.org>  Thu, 14 Nov 2019 16:13:29 -0500

scoop (0.7.1.1-3) unstable; urgency=medium

  * QA upload.
  * Replace deprecated Sphinx module pngmath with imgmath
    Closes: #924838
  * Ignore test result (attempt to access remote host)
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Thu, 25 Apr 2019 07:34:03 +0200

scoop (0.7.1.1-2) unstable; urgency=medium

  * Orphan package.
  * deb/control: update Vcs fields (moved to salsa).

 -- Daniel Stender <stender@debian.org>  Tue, 20 Feb 2018 15:07:26 +0100

scoop (0.7.1.1-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + updated uploader email address.
    + sorted build-deps logically.
    + bumped standards to 3.9.7 (no changes needed).
    + use HTTPS for Vcs-Browser and Vcs-Git.
    + dropped Testsuite field (deprecated).
  * deb/copyright: updated.
  * deb/rules:
    + dropped check for nodocs in DEB_BUILD_OPTIONS in dh_auto_install
      override (obsolete).
  * deb/gbp.conf: updated config section name.
  * Added deb/source/options (ignore egg-info).

 -- Daniel Stender <stender@debian.org>  Mon, 21 Mar 2016 17:46:20 +0100

=== debian/control ===
Source: scoop
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
    Christian Kastner <ckk@debian.org>,
Section: science
Priority: optional
Build-Depends:
    debhelper-compat (= 12),
    dh-python,
    python3-all,
    python3-setuptools,
    python3-greenlet,
    python3-zmq,
    python3-sphinx,
    dvipng,
    texlive-latex-extra,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/soravux/scoop
Vcs-Git: https://salsa.debian.org/science-team/scoop.git
Vcs-Browser: https://salsa.debian.org/science-team/scoop

Package: python3-scoop
Architecture: all
Section: python
Depends:
    python3-greenlet,
    python3-zmq,
    ${misc:Depends},
    ${python3:Depends},
Recommends:
    openssh-client | ssh-client
Suggests:
    scoop-doc
Description: Python3 library for concurrent parallel programming
 SCOOP (Scalable COncurrent Operations in Python) is a distributed task
 module allowing concurrent parallel programming on various environments,
 from heterogeneous grids to supercomputers.
 .
 This package contains the Python3 modules.

Package: scoop-doc
Architecture: all
Section: doc
Depends:
    ${misc:Depends},
    ${sphinxdoc:Depends},
Recommends:
    python3-scoop
Description: Python library for concurrent parallel programming (docs)
 SCOOP (Scalable COncurrent Operations in Python) is a distributed task
 module allowing concurrent parallel programming on various environments,
 from heterogeneous grids to supercomputers.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck

export PYBUILD_NAME=scoop

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {dir}/test; {interpreter} tests.py" \
	dh_auto_test || true

override_dh_auto_install:
	dh_auto_install
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N doc debian/scoop-doc/usr/share/doc/scoop-doc/html

override_dh_compress:
	dh_compress -X.py # save examples

=== debian/tests/control ===
Tests: python3
Depends: python3-all, python3-scoop, python3-greenlet, python3-zmq
